import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/service_category_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/service_category_entity.g.dart';

@JsonSerializable()
class ServiceCategoryEntity {
	int? id;
	String? name;
	@JSONField(name: "parent_id")
	int? parentId;
	String? type;

	ServiceCategoryEntity();

	factory ServiceCategoryEntity.fromJson(Map<String, dynamic> json) => $ServiceCategoryEntityFromJson(json);

	Map<String, dynamic> toJson() => $ServiceCategoryEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}